.position-example,
:host(.position-example) {
    display: grid !important;
    grid-gap: 1em;
    grid-template-columns: 1fr 1fr 1fr;
}

.position-example vaadin-button,
:host(.position-example) vaadin-button {
    margin: 0;
    max-width: 100%;
}

.position-example vaadin-button:nth-child(2),
.position-example vaadin-button:nth-child(6),
:host(.position-example) vaadin-button:nth-child(2),
:host(.position-example) vaadin-button:nth-child(6) {
    margin-inline-end: auto;
}

.position-example vaadin-button:nth-child(3),
.position-example vaadin-button:nth-child(5),
.position-example vaadin-button:nth-child(7),
:host(.position-example) vaadin-button:nth-child(3),
:host(.position-example) vaadin-button:nth-child(5),
:host(.position-example) vaadin-button:nth-child(7) {
    margin: 0 auto;
}

.position-example vaadin-button:nth-child(4),
.position-example vaadin-button:nth-child(8),
:host(.position-example) vaadin-button:nth-child(4),
:host(.position-example) vaadin-button:nth-child(8) {
    margin-inline-start: auto;
}

.position-example vaadin-button:nth-child(1),
.position-example vaadin-button:nth-child(5),
.position-example vaadin-button:nth-child(9),
:host(.position-example) vaadin-button:nth-child(1),
:host(.position-example) vaadin-button:nth-child(5),
:host(.position-example) vaadin-button:nth-child(9) {
    grid-column-start: 1;
    grid-column-end: 4;
}